Requirements

Requirements

The HeadsUp Agile system currently requires:

  • Oracle JDK (Java Development Kit) version 1.6 or later
  • subversion, git or mercurial (with command line tools)

And optionally:

  • MySQL - if you do not want to use the embedded database
  • Maven - for building maven projects
  • Ant - for building ant projects
  • Eclipse - for building eclipse projects
  • XCode - for building iPhone / iPad / MacOSX projects

There is currently only one limitation of the HeadsUp Agile distribution:

  • It only runs on Unix based operating systems: Linux, Mac OSX, Solaris etc (no Windows support at this time)

Keep reading for the steps to install HeadsUp Agile.